#! /bin/bash

# cDock bug reporter v1.1

file_test()
{
	for item in "$@"; do
		if [ -a "$item" ]; then
			echo "$item FOUND"
		else
			echo "$item MISSING!"
		fi
	done
}

mkdir ~/Desktop/bug_report
touch ~/Desktop/bug_report/misc_info.txt
exec &>~/Desktop/bug_report/misc_info.txt

echo -e "\nDate\n"
date

echo -e "\nSoftware info\n"
sw_vers

echo -e "\nAre SIMBL and dockmonitor running?\n"
ps ax | grep [c]Dock

echo -e "\nDo SIMBL and dockmonitor exist?\n"
file_test "/Users/$(whoami)/Library/Application Support/cDock/dockmonitor.sh" \
"/Users/$(whoami)/Library/Application Support/cDock/SIMBL.app" \
"/Users/$(whoami)/Library/LaunchAgents/com.w0lf.cDock.plist" \
"/Users/$(whoami)/Library/ScriptingAdditions/EasySIMBL.osax"

echo -e "\nWhat are dockmonitors privileges?\n"
ls -al ~/Library/Application\ Support/cDock/dockmonitor.sh

echo -e "\nDone\n"

# Copy logs
cp -r ~/Library/Application\ Support/cDock/logs ~/Desktop/bug_report/cDock
cp -r ~/Library/Application\ Support/wUpdater/logs ~/Desktop/bug_report/wUpdater

# Zip and delete folder
cd ~/Desktop/bug_report/
zip -r ~/Desktop/bug_report.zip *
rm -r ~/Desktop/bug_report